Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Venue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Venue

Enclosing class:
  TdApi

public static final class TdApi.Venue extends TdApi.Object
Describes a venue.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`address`
Venue address; as defined by the sender.
`static final int`
`CONSTRUCTOR`
`String`
`id`
Identifier of the venue in the provider database; as defined by the sender.
`TdApi.Location`
`location`
Venue location; as defined by the sender.
`String`
`provider`
Provider of the venue database; as defined by the sender.
`String`
`title`
Venue name; as defined by the sender.
`String`
`type`
Type of the venue in the provider database; as defined by the sender.

## Constructor Summary

Constructors
Constructor
Description
`Venue()`
Describes a venue.
`Venue(TdApi.Location location, String title, String address, String provider, String id, String type)`
Describes a venue.
`Venue(DataInput input)`
Describes a venue.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
Venue location; as defined by the sender.

### title

public String title
Venue name; as defined by the sender.

### address

public String address
Venue address; as defined by the sender.

### provider

public String provider
Provider of the venue database; as defined by the sender. Currently only "foursquare" and "gplaces" (Google Places) need to be supported.

### id

public String id
Identifier of the venue in the provider database; as defined by the sender.

### type

public String type
Type of the venue in the provider database; as defined by the sender.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### Venue

public Venue()
Describes a venue.

### Venue

public Venue(TdApi.Location location, String title, String address, String provider, String id, String type)
Describes a venue.

Parameters:
  `location` - Location Venue location; as defined by the sender.
  `title` - String Venue name; as defined by the sender.
  `address` - String Venue address; as defined by the sender.
  `provider` - String Provider of the venue database; as defined by the sender. Currently only "foursquare" and "gplaces" (Google Places) need to be supported.
  `id` - String Identifier of the venue in the provider database; as defined by the sender.
  `type` - String Type of the venue in the provider database; as defined by the sender.

### Venue

public Venue(DataInput input) throws IOException
Describes a venue.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`